<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <com.example.base.widget.TitleBar
        android:id="@+id/mTitleBar"
        style="@style/Custom.TitleBar"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:navigationIcon="@drawable/ic_back_black"
        app:title=" ">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center">

            <TextView
                android:id="@+id/tv_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:fontFamily="sans-serif-medium"
                android:text="订阅"
                android:textColor="@color/color_212226"
                android:textSize="@dimen/sp_17"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/iv_vip_tag"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginBottom="-9dp"
                android:src="@mipmap/ic_vip_auth_icon"
                android:visibility="gone"
                app:layout_constraintBottom_toTopOf="@id/tv_title"
                app:layout_constraintStart_toEndOf="@+id/tv_title" />
        </androidx.constraintlayout.widget.ConstraintLayout>
    </com.example.base.widget.TitleBar>

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toTopOf="@id/layout_bottom"
        app:layout_constraintTop_toBottomOf="@id/mTitleBar">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <com.lihang.ShadowLayout
                android:id="@+id/layout_base_info"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_9"
                android:layout_marginTop="@dimen/dp_9"
                android:layout_marginEnd="@dimen/dp_9"
                app:hl_cornerRadius="@dimen/dp_10"
                app:hl_shadowColor="@color/color_shadow"
                app:hl_shadowLimit="@dimen/dp_7"
                app:layout_constraintTop_toTopOf="parent">

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    android:paddingStart="@dimen/dp_12"
                    android:paddingEnd="@dimen/dp_12">

                    <TextView
                        android:id="@+id/tv_base_info_title"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_16"
                        android:fontFamily="sans-serif-medium"
                        android:text="基本信息"
                        android:textColor="@color/color_1a1a1a"
                        android:textSize="@dimen/sp_16"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/dp_2"
                        android:text="*"
                        android:textColor="@color/color_ff493c"
                        android:textSize="@dimen/sp_15"
                        app:layout_constraintStart_toEndOf="@id/tv_base_info_title"
                        app:layout_constraintTop_toTopOf="@id/tv_base_info_title" />

                    <LinearLayout
                        android:id="@+id/layout_name"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/dp_52"
                        android:gravity="center_vertical"
                        android:orientation="horizontal"
                        app:layout_constraintTop_toBottomOf="@id/tv_base_info_title">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="订阅名称"
                            android:textColor="@color/color_666666"
                            android:textSize="@dimen/sp_14" />

                        <androidx.appcompat.widget.AppCompatEditText
                            android:id="@+id/et_name"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="@dimen/dp_34"
                            android:background="@null"
                            android:hint="请输入"
                            android:maxLength="50"
                            android:maxLines="1"
                            android:singleLine="true"
                            android:textColorHint="@color/color_bcbcbc"
                            android:textSize="@dimen/sp_14" />
                    </LinearLayout>

                    <View
                        android:id="@+id/view_line1"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/dp_1"
                        android:background="@color/color_eeeeee"
                        app:layout_constraintTop_toBottomOf="@id/layout_name" />

                    <LinearLayout
                        android:id="@+id/layout_area"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/dp_52"
                        android:gravity="center_vertical"
                        android:orientation="horizontal"
                        app:layout_constraintTop_toBottomOf="@id/layout_name">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="订阅地区"
                            android:textColor="@color/color_666666"
                            android:textSize="@dimen/sp_14" />

                        <TextView
                            android:id="@+id/tv_area"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="@dimen/dp_34"
                            android:drawableEnd="@mipmap/ic_arrow_dp16"
                            android:ellipsize="end"
                            android:hint="请选择"
                            android:maxLines="1"
                            android:singleLine="true"
                            android:textColor="@color/color_1a1a1a"
                            android:textColorHint="@color/color_bcbcbc"
                            android:textSize="@dimen/sp_14" />
                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/layout_source"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/dp_52"
                        android:gravity="center_vertical"
                        android:orientation="horizontal"
                        android:visibility="invisible"
                        app:layout_constraintTop_toBottomOf="@id/layout_name">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="数据源"
                            android:textColor="@color/color_666666"
                            android:textSize="@dimen/sp_14" />

                        <TextView
                            android:id="@+id/tv_source"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="@dimen/dp_48"
                            android:drawableEnd="@mipmap/ic_arrow_dp16"
                            android:hint="请选择"
                            android:maxLines="1"
                            android:text="0"
                            android:textColor="@color/color_1a1a1a"
                            android:textColorHint="@color/color_bcbcbc"
                            android:textSize="@dimen/sp_14" />
                    </LinearLayout>

                    <View
                        android:id="@+id/view_line2"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/dp_1"
                        android:background="@color/color_eeeeee"
                        app:layout_constraintTop_toBottomOf="@id/layout_area" />

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:id="@+id/layout_push_type"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        app:layout_constraintTop_toBottomOf="@id/layout_source">

                        <TextView
                            android:id="@+id/tv_push_title"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/dp_16"
                            android:text="推送方式"
                            android:textColor="@color/color_666666"
                            android:textSize="@dimen/sp_14"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <RadioGroup
                            android:id="@+id/rg_push_type"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="@dimen/dp_34"
                            android:gravity="center_vertical"
                            android:orientation="horizontal"
                            app:layout_constraintBottom_toBottomOf="@id/tv_push_title"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintStart_toEndOf="@id/tv_push_title"
                            app:layout_constraintTop_toTopOf="@id/tv_push_title">

                            <RadioButton
                                android:id="@+id/rb1"
                                android:layout_width="@dimen/dp_18"
                                android:layout_height="@dimen/dp_18"
                                android:background="@drawable/selector_rb"
                                android:button="@null" />

                            <androidx.constraintlayout.widget.ConstraintLayout
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="@dimen/dp_6">

                                <TextView
                                    android:id="@+id/tv1"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="短信"
                                    android:textColor="@color/color_1a1a1a"
                                    android:textSize="@dimen/sp_14"
                                    app:layout_constraintBottom_toBottomOf="parent"
                                    app:layout_constraintTop_toTopOf="parent" />

                                <androidx.appcompat.widget.AppCompatImageView
                                    android:id="@+id/iv_vip_tag1"
                                    android:layout_width="@dimen/dp_23"
                                    android:layout_height="@dimen/dp_10"
                                    android:layout_marginStart="-10dp"
                                    android:src="@mipmap/ic_vip_auth_icon"
                                    app:layout_constraintBottom_toTopOf="@id/tv1"
                                    app:layout_constraintStart_toEndOf="@id/tv1" />

                            </androidx.constraintlayout.widget.ConstraintLayout>

                            <RadioButton
                                android:id="@+id/rb2"
                                android:layout_width="@dimen/dp_18"
                                android:layout_height="@dimen/dp_18"
                                android:layout_marginStart="@dimen/dp_16"
                                android:background="@drawable/selector_rb"
                                android:button="@null" />

                            <androidx.constraintlayout.widget.ConstraintLayout
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="@dimen/dp_6">

                                <TextView
                                    android:id="@+id/tv2"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="邮箱"
                                    android:textColor="@color/color_1a1a1a"
                                    android:textSize="@dimen/sp_14"
                                    app:layout_constraintBottom_toBottomOf="parent"
                                    app:layout_constraintTop_toTopOf="parent" />

                                <androidx.appcompat.widget.AppCompatImageView
                                    android:id="@+id/iv_vip_tag2"
                                    android:layout_width="@dimen/dp_23"
                                    android:layout_height="@dimen/dp_10"
                                    android:layout_marginStart="-10dp"
                                    android:src="@mipmap/ic_vip_auth_icon"
                                    app:layout_constraintBottom_toTopOf="@id/tv2"
                                    app:layout_constraintStart_toEndOf="@id/tv2" />

                            </androidx.constraintlayout.widget.ConstraintLayout>

                            <RadioButton
                                android:id="@+id/rb3"
                                android:layout_width="@dimen/dp_18"
                                android:layout_height="@dimen/dp_18"
                                android:layout_marginStart="@dimen/dp_16"
                                android:background="@drawable/selector_rb"
                                android:button="@null"
                                android:checked="true" />

                            <TextView
                                android:id="@+id/tv3"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="@dimen/dp_6"
                                android:text="APP推送"
                                android:textColor="@color/color_1a1a1a"
                                android:textSize="@dimen/sp_14" />

                        </RadioGroup>

                        <androidx.appcompat.widget.AppCompatEditText
                            android:id="@+id/et_phone"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/dp_16"
                            android:layout_marginBottom="@dimen/dp_16"
                            android:background="@null"
                            android:hint="请输入手机号"
                            android:inputType="number"
                            android:maxLength="11"
                            android:textColor="@color/color_1a1a1a"
                            android:textColorHint="@color/color_bcbcbc"
                            android:textSize="@dimen/sp_14"
                            android:visibility="visible"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintStart_toStartOf="@id/rg_push_type"
                            app:layout_constraintTop_toBottomOf="@id/tv_push_title" />

                        <androidx.appcompat.widget.AppCompatEditText
                            android:id="@+id/et_email"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/dp_16"
                            android:layout_marginBottom="@dimen/dp_16"
                            android:background="@null"
                            android:hint="请输入邮箱地址"
                            android:inputType="textEmailAddress"
                            android:textColor="@color/color_1a1a1a"
                            android:textColorHint="@color/color_bcbcbc"
                            android:textSize="@dimen/sp_14"
                            android:visibility="gone"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintStart_toStartOf="@id/rg_push_type"
                            app:layout_constraintTop_toBottomOf="@id/tv_push_title" />

                        <View
                            android:id="@+id/view_line3"
                            android:layout_width="match_parent"
                            android:layout_height="@dimen/dp_1"
                            android:layout_marginTop="@dimen/dp_16"
                            android:background="@color/color_eeeeee"
                            android:visibility="gone"
                            app:layout_constraintTop_toBottomOf="@id/tv_push_title" />

                        <LinearLayout
                            android:id="@+id/layout_notification_state"
                            android:layout_width="match_parent"
                            android:layout_height="@dimen/dp_52"
                            android:gravity="center_vertical"
                            android:orientation="horizontal"
                            android:visibility="gone"
                            app:layout_constraintTop_toBottomOf="@id/view_line3">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="消息推送"
                                android:textColor="@color/color_666666"
                                android:textSize="@dimen/sp_14" />

                            <TextView
                                android:id="@+id/tv_notification_state"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="@dimen/dp_34"
                                android:drawableEnd="@mipmap/ic_arrow_dp16"
                                android:hint="点击授权"
                                android:maxLines="1"
                                android:textColor="@color/color_3bbf0f"
                                android:textColorHint="@color/color_bcbcbc"
                                android:textSize="@dimen/sp_14" />
                        </LinearLayout>

                    </androidx.constraintlayout.widget.ConstraintLayout>

                </androidx.constraintlayout.widget.ConstraintLayout>
            </com.lihang.ShadowLayout>

            <com.lihang.ShadowLayout
                android:id="@+id/layout_keywords"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_9"
                android:layout_marginEnd="@dimen/dp_9"
                app:hl_cornerRadius="@dimen/dp_10"
                app:hl_shadowColor="@color/color_shadow"
                app:hl_shadowLimit="@dimen/dp_7"
                app:layout_constraintTop_toBottomOf="@id/layout_base_info">

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    android:padding="@dimen/dp_12">

                    <TextView
                        android:id="@+id/tv_keywords_title"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="sans-serif-medium"
                        android:text="关键词"
                        android:textColor="@color/color_1a1a1a"
                        android:textSize="@dimen/sp_16"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/dp_2"
                        android:text="*"
                        android:textColor="@color/color_ff493c"
                        android:textSize="@dimen/sp_15"
                        app:layout_constraintStart_toEndOf="@id/tv_keywords_title"
                        app:layout_constraintTop_toTopOf="@id/tv_keywords_title" />

                    <TextView
                        android:id="@+id/tv_keywords_count"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="0/5"
                        android:textColor="@color/color_1a1a1a"
                        android:textSize="@dimen/sp_16"
                        app:layout_constraintBottom_toBottomOf="@id/tv_keywords_title"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintTop_toTopOf="@id/tv_keywords_title" />


                    <LinearLayout
                        android:id="@+id/layout_add_keyword"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/dp_44"
                        android:layout_marginTop="@dimen/dp_16"
                        android:background="@drawable/shape_f8f9fa_cor10"
                        android:gravity="center"
                        android:orientation="horizontal"
                        app:layout_constraintTop_toBottomOf="@id/tv_keywords_title">

                        <androidx.appcompat.widget.AppCompatEditText
                            android:id="@+id/et_keyword"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:background="@null"
                            android:hint="请输入您经营的产品或主营业务"
                            android:maxLines="1"
                            android:paddingStart="@dimen/dp_12"
                            android:paddingEnd="@dimen/dp_12"
                            android:singleLine="true"
                            android:textColor="@color/color_1a1a1a"
                            android:textColorHint="@color/color_bcbcbc"
                            android:textSize="@dimen/sp_14" />

                        <com.cheng.blzb.widget.CommonShapeView
                            android:id="@+id/tv_add_keywords"
                            android:layout_width="@dimen/dp_70"
                            android:layout_height="@dimen/dp_36"
                            android:drawableStart="@mipmap/ic_add_subscribe_keyword"
                            android:text="添加"
                            android:textSize="@dimen/sp_14"
                            android:textColor="@color/white"
                            app:csb_cornerRadius="@dimen/dp_10"
                            app:csb_drawablePosition="left"
                            app:csb_fillColor="@color/color_125ffe" />
                    </LinearLayout>

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/rv_selected_keywords"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:overScrollMode="never"
                        android:paddingTop="@dimen/dp_6"
                        android:paddingBottom="@dimen/dp_16"
                        android:visibility="gone"
                        app:layoutManager="androidx.recyclerview.widget.GridLayoutManager"
                        app:layout_constraintTop_toBottomOf="@id/layout_add_keyword"
                        app:spanCount="3"
                        tools:itemCount="5"
                        tools:listitem="@layout/listitem_selected_keywords" />

                    <View
                        android:id="@+id/divider"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/dp_2"
                        android:layout_marginTop="@dimen/dp_16"
                        android:background="@drawable/shape_dde2eb_dash_divider_h"
                        app:layout_constraintTop_toBottomOf="@id/rv_selected_keywords" />

                    <TextView
                        android:id="@+id/tv_recommend_keywords_title"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_16"
                        android:text="推荐"
                        android:textColor="@color/color_1a1a1a"
                        android:textSize="@dimen/sp_14"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toBottomOf="@id/divider" />

                    <LinearLayout
                        android:id="@+id/layout_refresh"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:background="@drawable/shape_dddddd_line_cor8"
                        android:gravity="center"
                        android:orientation="horizontal"
                        android:paddingStart="@dimen/dp_6"
                        android:paddingTop="@dimen/dp_2"
                        android:paddingEnd="@dimen/dp_6"
                        android:paddingBottom="@dimen/dp_2"
                        app:layout_constraintBottom_toBottomOf="@id/tv_recommend_keywords_title"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintTop_toTopOf="@id/tv_recommend_keywords_title">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="换一批"
                            android:textColor="@color/color_666666"
                            android:textSize="@dimen/sp_10" />

                        <androidx.appcompat.widget.AppCompatImageView
                            android:id="@+id/iv_refresh_keywords"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="@dimen/dp_2"
                            android:src="@mipmap/ic_refresh3" />

                    </LinearLayout>

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/rv_keywords"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_12"
                        android:overScrollMode="never"
                        app:layoutManager="androidx.recyclerview.widget.GridLayoutManager"
                        app:layout_constraintTop_toBottomOf="@id/tv_recommend_keywords_title"
                        app:spanCount="3"
                        tools:itemCount="9"
                        tools:listitem="@layout/listitem_recommend_keywords" />
                </androidx.constraintlayout.widget.ConstraintLayout>
            </com.lihang.ShadowLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_15"
                app:layout_constraintTop_toBottomOf="@id/layout_keywords" />

        </androidx.constraintlayout.widget.ConstraintLayout>
    </androidx.core.widget.NestedScrollView>

    <View
        android:layout_width="match_parent"
        android:layout_height="0.5dp"
        android:background="@color/color_eeeeee"
        app:layout_constraintBottom_toTopOf="@id/layout_bottom" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/layout_bottom"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        android:paddingStart="@dimen/dp_16"
        android:paddingTop="@dimen/dp_9"
        android:paddingEnd="@dimen/dp_16"
        android:paddingBottom="@dimen/dp_9"
        app:layout_constraintBottom_toBottomOf="parent">

        <com.cheng.blzb.widget.CommonShapeView
            android:id="@+id/btn_next"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_46"
            android:fontFamily="sans-serif-medium"
            android:text="立即订阅"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_16"
            app:csb_cornerRadius="@dimen/dp_10"
            app:csb_fillColor="@color/color_125ffe"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />
    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>